JUCE: ToneGeneratorAudioSource Class Reference

JUCE

Public Member Functions | List of all members
ToneGeneratorAudioSource Class Reference
juce_audio_basics » sources

A simple AudioSource that generates a sine wave. More...

`#include <juce_ToneGeneratorAudioSource.h>`

Inheritance diagram for ToneGeneratorAudioSource:

## Public Member Functions
| ToneGeneratorAudioSource ()
| Creates a ToneGeneratorAudioSource. More...
| ~ToneGeneratorAudioSource () override
| Destructor. More...
void | setAmplitude (float newAmplitude)
| Sets the signal's amplitude. More...
void | setFrequency (double newFrequencyHz)
| Sets the signal's frequency. More...
void | prepareToPlay (int samplesPerBlockExpected, double sampleRate) override
| Implementation of the AudioSource method. More...
void | releaseResources () override
| Implementation of the AudioSource method. More...
void | getNextAudioBlock (const AudioSourceChannelInfo &) override
| Implementation of the AudioSource method. More...
Public Member Functions inherited from AudioSource
virtual | ~AudioSource ()=default
| Destructor. More...
virtual void | prepareToPlay (int samplesPerBlockExpected, double sampleRate)=0
| Tells the source to prepare for playing. More...
virtual void | releaseResources ()=0
| Allows the source to release anything it no longer needs after playback has stopped. More...
virtual void | getNextAudioBlock (const AudioSourceChannelInfo &bufferToFill)=0
| Called repeatedly to fetch subsequent blocks of audio data. More...

## Additional Inherited Members
Protected Member Functions inherited from AudioSource
| AudioSource ()=default
| Creates an AudioSource. More...

## Detailed Description

A simple AudioSource that generates a sine wave.

## Constructor & Destructor Documentation

## ◆ ToneGeneratorAudioSource()

ToneGeneratorAudioSource::ToneGeneratorAudioSource | ( |  | ) |

Creates a ToneGeneratorAudioSource.

## ◆ ~ToneGeneratorAudioSource()

ToneGeneratorAudioSource::~ToneGeneratorAudioSource | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ setAmplitude()

void ToneGeneratorAudioSource::setAmplitude | ( | float | newAmplitude | ) |

Sets the signal's amplitude.

## ◆ setFrequency()

void ToneGeneratorAudioSource::setFrequency | ( | double | newFrequencyHz | ) |

Sets the signal's frequency.

## ◆ prepareToPlay()

void ToneGeneratorAudioSource::prepareToPlay | ( | int | samplesPerBlockExpected,
|  | double | sampleRate
| ) |  |
| overridevirtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ releaseResources()

void ToneGeneratorAudioSource::releaseResources | ( |  | ) |
| overridevirtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ getNextAudioBlock()

void ToneGeneratorAudioSource::getNextAudioBlock | ( | const AudioSourceChannelInfo & |  | ) |
| overridevirtual

Implementation of the AudioSource method.

Implements AudioSource.

The documentation for this class was generated from the following file:

- juce_ToneGeneratorAudioSource.h